Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise
Class DeegreeParams

    java.lang.Object
      org.deegree.enterprise.DeegreeParams

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CatalogueDeegreeParams, SOSDeegreeParams, WASDeegreeParams, WCSDeegreeParams, WFSDeegreeParams, WMPSDeegreeParams, WMSDeegreeParams, WPSDeegreeParams, WPVSDeegreeParams, WSSDeegreeParams

    public abstract class DeegreeParams

extends Object
implements Serializable

Base class for the `deegreeParams` section of configurations for all deegree web service types. The `deegreeParams` section contains deegree specific parameters that are not part of the OGC CSW capabilities specification. The concrete web service implementations (WMS, WFS CWS, ...) derive this class and add their specific configuration parameters.

The common `deegreeParams` elements are:

Name | Mandatory | Function
--- | --- | ---
DefaultOnlineResource | X | The DefaultOnlineResource will be used whenever a required OnlineResource is not defined.
CacheSize | - | Amount of Memory to use for caching, default = 100 (MB).
RequestTimeLimit | - | Maximum amount of time that is allowed for the execution of a request, defaults to 2 minutes.
Encoding | - | String encoding, default is UTF-8.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`DeegreeParams(OnlineResource defaultOnlineResource, int cacheSize, int requestTimeLimit)` Creates a new instance of DeegreeParams with characterSet set to UTF-8.
`DeegreeParams(OnlineResource defaultOnlineResource, int cacheSize, int requestTimeLimit, String characterSet)` Creates a new instance of DeegreeParams.

Method Summary
`int` | `getCacheSize()` Returns the CacheSize.
`String` | `getCharacterSet()` Returns the characterSet.
`Charset` | `getCharset()`
`OnlineResource` | `getDefaultOnlineResource()` Returns the defaultOnlineResource.
`int` | `getRequestTimeLimit()`
`void` | `setCacheSize(int cacheSize)` Sets the CacheSize.
`void` | `setCharacterSet(String characterSet)` Sets the characterSet.
`void` | `setDefaultOnlineResource(OnlineResource defaultOnlineResource)` Sets the defaultOnlineResource.
`void` | `setRequestTimeLimit(int requestTimeLimit)` Sets the requestTimeLimit.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeegreeParams

    public DeegreeParams(OnlineResource defaultOnlineResource,
                         int cacheSize,
                         int requestTimeLimit)

  Creates a new instance of DeegreeParams with characterSet set to UTF-8.

  Parameters:
    `defaultOnlineResource` -
    `cacheSize` -
    `requestTimeLimit` - in milliseconds

### DeegreeParams

    public DeegreeParams(OnlineResource defaultOnlineResource,
                         int cacheSize,
                         int requestTimeLimit,
                         String characterSet)

  Creates a new instance of DeegreeParams.

  Parameters:
    `defaultOnlineResource` -
    `cacheSize` -
    `requestTimeLimit` -
    `characterSet` -

Method Detail

### getCacheSize

    public int getCacheSize()

  Returns the CacheSize.

  Returns:
    the size

### setCacheSize

    public void setCacheSize(int cacheSize)

  Sets the CacheSize.

  Parameters:
    `cacheSize` -

### getDefaultOnlineResource

    public OnlineResource getDefaultOnlineResource()

  Returns the defaultOnlineResource.

  Returns:
    the URL

### setDefaultOnlineResource

    public void setDefaultOnlineResource(OnlineResource defaultOnlineResource)

  Sets the defaultOnlineResource.

  Parameters:
    `defaultOnlineResource` -

### getRequestTimeLimit

    public int getRequestTimeLimit()

  Returns:
    the requestTimeLimit, in milliseconds.

### setRequestTimeLimit

    public void setRequestTimeLimit(int requestTimeLimit)

  Sets the requestTimeLimit.

  Parameters:
    `requestTimeLimit` -

### getCharacterSet

    public String getCharacterSet()

  Returns the characterSet.

  Returns:
    the charset

### getCharset

    public Charset getCharset()

  Returns:
    the Charset requested by the deegreeparams.

### setCharacterSet

    public void setCharacterSet(String characterSet)
                         throws InvalidFormatException

  Sets the characterSet.

  Parameters:
    `characterSet` -
  Throws:
    `InvalidFormatException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org